#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{

    chrono.setInterval(40);
    connect(&chrono, SIGNAL(timeout()), this, SLOT(update()));
    chrono.start();
}

MainWindow::~MainWindow()
{
}

void MainWindow::paintEvent(QPaintEvent* event)
{
    QMainWindow::paintEvent(event);
    QPainter painter(this);

    painter.setPen(QPen(col, 2));
    painter.drawRect(xpos, ypos, 20, 10);
}

void MainWindow::update()
{
    xpos = xpos + speed;
    if (xpos > 400) xpos = 0;

    this->repaint();
}

