#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>
#include <QTimer>

class MainWindow : public QMainWindow
{
        Q_OBJECT

    public:
        MainWindow(QWidget *parent = nullptr);
        ~MainWindow() override;

    protected:
        void paintEvent(QPaintEvent *event) override;

    private:
        int xpos = 10;
        int ypos = 100;
        int speed = 3;
        QColor col = Qt::blue;
        QTimer chrono;

    public slots:
        void update();
};
#endif // MAINWINDOW_H
